=== debian/control ===
Source: ros-lunar-robot-activity
Section: misc
Priority: extra
Maintainer: Maciej ZURAD <maciej.zurad@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-robot-activity-msgs, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rostest, ros-lunar-std-srvs
Homepage: http://www.ros.org/wiki/robot_activity
Standards-Version: 3.9.2

Package: ros-lunar-robot-activity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-robot-activity-msgs, ros-lunar-roscpp, ros-lunar-std-srvs
Description: The robot_activity package implements ROS node lifecycle
